m4_include(makros.m4)


ausmachen_1 := ausmachen : [
   baseform:ausmachen,
   number:pl, 
   person:1,
   pos:SOV,
   tense:present,mood:indicative,cat:FIN,
   sort:negotiate,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1,
	 cat:Nominal,
	 case:nom,
	 person:1,
	 number:pl,
	 sort:human,
	 role:AGENT
      ],
      2: [ 
	 realized:yes, obl:0.1,
	 cat:Nominal,
	 case:acc,
	 role:THEME,
	 sort:appointment
      ]
   ]
];

Informatikgebude := Informatikgebude :
[ cat:NN,
  countable:yes,
  number:sg,
  case:#1(nom|dat|acc),
  person:3,
  gender:neut,
  sort:place,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|dat|acc), 
      gender:neut,
      number:sg
    ]
  ]
];

Foyer := Foyer :
[ cat:NN,
  countable:yes,
  number:sg,
  case:#1(nom|dat|acc),
  person:3,
  gender:neut,
  sort:place,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|dat|acc), 
      gender:neut,
      number:sg
    ]
  ]
];


frhestens := frhestens : 
[cat: ADV,
 sort: temporal,
 modifies: Adverbial
];

keine := keine :
[ cat:PROAT, 
  sort:bot,
  case:(nom|acc), 
  number:sg, 
  gender:fem,
  definite:no
];

Mutter := Mutter :
[ cat:NN,
  countable:yes,
  number:sg,
  case:#1(nom|gen|dat|acc),
  person:3,
  gender:fem,
  sort:human,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|gen|dat|acc), 
      gender:fem,
      number:sg
    ]
  ]
];


Besuch := Besuch :
[ cat:NN, 
  person:3, 
  gender:masc, 
  case:#1(nom|dat|acc), 
  number:sg, 
  countable:yes, 
  sort:appointment,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|dat|acc), 
      gender:masc,
      number:sg
    ]
  ]
];


vor := vor:
[ cat:APPR,
  case:vor,
  sort:top,
  loctype:essive,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:dat 
    ] 
  ] 
];



allen := allen :
[ cat:PROAT, 
  sort:bot,
  case:dat, 
  number:pl, 
  gender:bot,
  definite:no
];


Dingen := Dingen :
[ cat:NN, 
  person:3, 
  gender:neut, 
  case:dat, 
  number:pl, 
  countable:yes, 
  sort:concept,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:dat, 
      gender:neut,
      number:pl
    ]
  ]
];

allerdings_KONJ := allerdings : 
[
 cat:KON,
 args:
 [ 1: [ realized:yes, obl:0.1, rightpenalty:0.0, cat:finit ],
   2: [ realized:yes, obl:0.0, leftpenalty:0.0,  cat:finit ]
 ]
];



Prinzip := Prinzip :
[ cat:NN, 
  person:3, 
  gender:neut, 
  case:#1(nom|dat|acc), 
  number:sg, 
  countable:yes, 
  sort:concept,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|dat|acc), 
      gender:neut,
      number:sg
    ]
  ]
];

Baggersee := Baggersee :
[ cat:NN,
  countable:yes,
  number:sg,
  case:#1(nom|dat|acc),
  person:3,
  gender:masc,
  sort:place,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|dat|acc), 
      gender:masc,
      number:sg
    ]
  ]
];

fahren_INF := fahren :
[ cat:INF,
  sort:process,
  baseform:fahren,
  args:
  [ 1:
    [ realized:no, obl:0.0,
      cat:Nominal,
      role:AGENT,
      sort:matter
    ],
    2:
     [ realized:yes, obl:0.5,
       cat:Adverbial, 
       loctype:lative,
       sort:place,
       prepsort:place
     ]
  ]
];

falsch := falsch : 
[cat: ADV,
 modifies: Verb
];

verstanden := verstanden :
[ cat:PPP,
  baseform:verstehen,
  perfect:haben,
  sort:state,
  args:
  [ 1:
    [ realized:no, obl:0.0,
      cat:Nominal,
      role:EXP,
      sort:human
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      sort:top
    ] 
  ] 
];

Fehler := Fehler :
[ cat:NN, 
  person:3, 
  gender:masc, 
  case:#1(nom|dat|acc), 
  number:sg, 
  countable:yes, 
  sort:quality,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|dat|acc), 
      gender:masc,
      number:sg
    ]
  ]
];

meinerseits := meinerseits : 
[cat: ADV,
 modifies: <Nominal, 1, Verb, 1>
];


sechzehn := sechzehn:
[ cat:CARD,
  number:pl,
  gender:bot,
  value:16 
];

morgens := morgens : 
[cat: ADV,
 modifies: Verb
];


Liebsten_ADV := Liebsten :
[ cat:ADV,
  grade:superlative,
  sort:quality,
  modifies:<Verb, 1.0, Adposition, 0.99>,
  args: 
  [ 1:
    [ realized:yes, obl:0.0,
      rightpenalty:0.0,
      cat:PTKSUP,
      word:am
    ]
  ]      
];


zwanzig := zwanzig:
[ cat:CARD,
  number:pl,
  gender:bot,
  value:16 
];

MakeAdjektiv(rund,,grade:positive)

Sommer := Sommer:
[ cat:NN,
  countable:yes,
  number:sg,
  case:#1(nom|dat|acc),
  person:3,
  gender:masc,
  sort:time,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|dat|acc), 
      gender:masc,
      number:sg
    ]
  ]
];

zwei := zwei :
[ cat:(CARD|ADJA),
  case:bot,
  number:pl,
  gender:bot,
  flexion:weak,
  value:2
];

Augustwochen := Augustwochen :
[ cat:NN, 
  countable:yes, 
  number:pl, 
  case:#1( nom|gen|dat|acc), 
  person:3, 
  gender:fem, 
  sort:temporal,
  timeunit:yes,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|gen|dat|acc), 
      gender:fem,
      number:pl
    ]
  ]
];

ansonsten := ansonsten : 
[cat: ADV,
 modifies: Adverbial
];

MakeAdjektiv(siebzehnt,,value:17)

MakeAllVerbs(
   `halten',
   `_von',
   `halte,hltst,hlt,halten,haltet,halten',
   `hielt,hieltst,hielt,hielten,hieltet,hielten',
   `hielte,hieltest,hielte,hielten,hieltet,hielten',
   `cat:FIN,
   sort:state,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1, 
	 cat:Nominal,
	 case:nom,
	 m4_person,
	 m4_number
      ],
      2: [  
	 realized:yes, obl:0.1,
	 cat:Nominal,
	 case:acc,
	 sort:top
      ], 
      3: [ 
	 realized:yes, obl:0.1,
	 case:von
      ]
   ]'
)

davon := davon : [ cat:PRAP, case:von, loctype:essive ];

Arbeitsmittagessen := Arbeitsmittagessen :
[ cat:NN, 
  person:3, 
  gender:neut,
  case:#1(nom|dat|acc), 
  number:sg, 
  countable:yes, 
  sort:appointment,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|dat|acc), 
      gender:neut,
      number:sg
    ]
  ]
];

MakeAdjektiv(bevorzugt,,grade:positive)

Ihre_POSS := Ihre :
[ cat:PPOSAT, 
  person:3,
  case:(nom|acc), 
  number:sg, 
  gender:fem,
  definite:yes
];

Stunden := Stunden :
[ cat:NN, 
  countable:yes, 
  number:pl, 
  case:#1( nom|gen|dat|acc), 
  person:3, 
  gender:fem, 
  sort:time,
  timeunit:yes,
  args:
  [ 1:
    [ realized:yes, obl:0.9,
      cat:Determiner,
      case:#1(nom|gen|dat|acc), 
      gender:fem,
      number:pl
    ]
  ]
];

weiter := weiter: 
[cat: ADV,
 modifies: Verb
];

bis_KOUS := bis :[ cat:KOUS ];


Ihren_POSS := Ihren :
[ cat:PPOSAT, 
  person:3,
  case:acc, 
  number:sg, 
  gender:masc,
  definite:yes
];

Terminplaner := Terminplaner:
 [ cat:NN,
   person:3,
   gender:masc,
   case:#1(nom|dat|acc),
   number:sg,
   sort:thing,
   args:
   [ 1:
     [ realized:yes, obl:0.1,
       cat:Determiner,
       case:#1(nom|dat|acc), 
       gender:masc,
       number:sg
     ]
   ]
];

MakeAllVerbs(
   `liegen',
   `_FIN',
   `liege,liegst,liegt,liegen,liegt,liegen',
   `lag,lagst,lag,lagen,lagt,lagen',
   `lge,lgest,lge,lgen,lget,lgen',
   `cat:FIN,
   sort:state,
   loctype:essive,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1, 
	 cat:Nominal,
	 case:nom,
	 m4_person,
	 m4_number
      ],
      2: [ 
	 realized:yes, obl:0.5,
	 cat:Adverbial, 
	 loctype:essive,
	 sort:local
      ]
   ]'
)

liebsten_adv := liebsten :
[ cat:ADV,
  grade:superlative,
  sort:quality,
  modifies:<Verb, 1.0, Adposition, 0.99>,
  args: 
  [ 1:
    [ realized:yes, obl:0.0,
      rightpenalty:0.0,
      cat:PTKSUP,
      word:am
    ]
  ]      
];

sobald := sobald : 
[cat: ADV,
 sort:time,      
 modifies: Verb
];


Tage := Tage :
[ cat:NN, 
  countable:yes, 
  number:pl, 
  case:#1( nom|gen|dat|acc), 
  person:3, 
  gender:masc, 
  sort:day,
  timeunit:yes,
  args:
  [ 1:
    [ realized:yes, obl:0.9,
      cat:Determiner,
      case:#1(nom|gen|dat|acc), 
      gender:masc,
      number:pl
    ]
  ]
];

hinten := hinten: 
[cat: ADV,
 sort:temporal,
 modifies: Verb
];

passend := passend : [ 
   cat:ADJP, 
   case:nom,
   grade:positive, 
   sort:quality
];

MakeAllVerbs(
   `erwarten',
   `_FIN',
   `erwarte,erwartest,erwartet,erwarten,erwartet,erwarten',
   `erwartete,erwartetest,erwartete,erwarteten,erwartetet,erwarteten',
   `erwartete,erwartetest,erwartete,erwarteten,erwartetet,erwarteten',
   `cat:FIN,
   sort:state,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1, 
	 cat:Nominal,
	 case:nom,
	 m4_person,
	 m4_number
      ],
      2: [  
	 realized:yes, obl:0.1,
	 cat:Nominal,
	 case:acc,
	 sort:top
      ]
   ]'
)

MakeAllVerbs(
   `erinnern',
   `_FIN',
   `erinnere,erinnerst,erinnert,erinnern,erinnert,erinnern',
   `erinnerte,erinnertest,erinnerte,erinnerten,erinnertet,erinnerten',
   `erinnerte,erinnertest,erinnerte,erinnerten,erinnertet,erinnerten',
   `cat:FIN,
   sort:state,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1, 
	 cat:Nominal,
	 case:nom,
	 m4_person,
	 m4_number
      ],
    2:
    [ realized:yes, obl:0.1,
      cat:PPERRF, 
      m4_person,
      m4_number,
      case:acc
    ]
   ]'
)


MakeAllVerbs(
   `schauen',
   `_FIN',
   `schaue,schaust,schaut,schauen,schaut,schauen',
   `schaute,schautest,schaute,schauten,schautet,schauten',
   `schaute,schautest,schaute,schauten,schautet,schauten',
   `cat:FIN,
   sort:state,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1, 
	 cat:Nominal,
	 case:nom,
	 m4_person,
	 m4_number
      ],
    2:
    [ realized:yes, obl:0.5,
      cat:Adverbial,
      loctype:lative, 
      sort:local
    ]
   ]'
)

MakeAdjektiv(elft,,value:11)

berhaupt := berhaupt : 
[cat: ADV,
 modifies: Adverb
];



bis_zu := bis :
[ cat:APPR,
  case:bis,
  sort:temporal,
  args:
  [ 1:
    [ realized:yes, obl:0.0,
      cat:APPR,
      word:zu
    ]
  ]
];


nehmen := nehmen:
[ cat:INF, 
  sort:negotiate, 
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME,
      sort:appointment
    ]
  ]
];

einrichten := einrichten :
[ cat:INF, 
  sort:negotiate, 
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME,
      sort:appointment
    ]
  ]
];


Besprechungsraum := Besprechungsraum:
[ cat:NN,
  countable:yes,
  number:sg,
  case:#1(nom|dat|acc),
  person:3,
  gender:masc,
  sort:place,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|dat|acc), 
      gender:masc,
      number:sg
    ]
  ]
];


besorgen := besorgen:
[ cat:INF, 
  sort:negotiate, 
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME
    ]
  ]
];


zu_reservieren := zu_reservieren :
[ cat:INFZU,
  sort:event,
  baseform:reservieren,
  args:
  [ 1:
    [ realized:no, obl:0.0,
      cat:Nominal,
      role:AGENT,
      sort:human
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      role:THEME
    ]
  ]
];

einen := einen :
[ cat:PROSD, 
  sort:bot,
  case:acc, 
  number:sg, 
  gender:masc,
  definite:no
];

wissen := wissen :
[ cat:FIN, 
  person:#1(1|3), 
  number:pl, 
  tense:present, 
  mood:indicative, 
  sort:state, 
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      cat:Nominal, 
      case:nom, 
      person:#1(1|3),
      number:pl,
      role:EXP, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:finit,
      role:THEME,
      sort:top,
      prepsort:top
    ]
  ]
];


heute := heute : 
[cat: ADV,
 sort: temporal,
 modifies: Verb
];


diese := diese :
[ cat:PROSD, 
  sort:bot,
  case:(nom|acc), 
  number:sg, 
  gender:fem,
  definite:yes
];


MakeAllVerbs(
   `abhalten',
   `_FIN',
   `abhalte,abhltst,abhlt,abhalten,abhaltet,abhalten',
   `abhielt,abhieltst,abhielt,abhielten,abhieltet,abhielten',
   `abhielte,abhieltest,abhielte,abhielten,abhieltet,abhielten',
   `cat:FIN,
   sort:state,
   pos:SOV,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1, 
	 cat:Nominal,
	 case:nom,
	 m4_person,
	 m4_number
      ],
      2: [  
	 realized:yes, obl:0.1,
	 cat:Nominal,
	 case:acc,
	 sort:top
      ]
   ]'
)



MakeAllVerbs(
   `erwischen',
   `_FIN',
   `erwische,erwischst,erwischt,erwischen,erwischt,erwischen',
   `erwischte,erwischtest,erwischte,erwischten,erwischtet,erwischten',
   `erwischte,erwischtest,erwischte,erwischten,erwischtet,erwischten',
   `cat:FIN,
   sort:state,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1, 
	 cat:Nominal,
	 case:nom,
	 m4_person,
	 m4_number
      ],
    2:
    [ realized:yes, obl:0.5,
      cat:Nominal,
      case:acc
    ]
   ]'
)


Glck := Glck :
[ cat:NN,
  countable:yes,
  number:sg,
  case:#1(nom|dat|acc),
  person:3,
  gender:neut,
  sort:concept,
  args:
  [ 1:
    [ realized:yes, obl:0.9,
      cat:Determiner,
      case:#1(nom|dat|acc), 
      gender:neut,
      number:sg
    ]
  ]
];


MakeAllVerbs(
   `fahren',
   `_process',
   `fahre,fahrst,fahrt,fahren,fahrt,fahren',
   `fuhr,fuhrst,fuhr,fuhren,fuhrt,fuhren',
   `fhre,fhrest,fhre,fhren,fhret,fhren',
   `cat:FIN,
   sort:process,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1,
	 cat:Nominal,
	 case:nom,
	 m4_person,
	 m4_number,
	 role:THEME,
	 sort:top 
      ],
      2: [ 
	 realized:yes, obl:0.5,
	 cat:Adverbial,
	 sort:place
      ]
   ]'
)

veranschlagen := veranschlagen:
[ cat:INF, 
  sort:negotiate, 
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME,
      sort:appointment
    ]
  ]
];

MakeAdjektiv(spt,,grade:positive)

vermutlich := vermutlich: 
[cat: ADV,
 modifies: Verb
];

siebzehn := siebzehn :
[ cat:CARD,
  number:pl,
  gender:bot,
  value:17 
];

MakeAdjektiv(gro,,grade:positive)
MakeAdjektiv(technisch,,grade:positive)

Equipment := Equipment :
[ cat:NN,
  countable:yes,
  number:sg,
  case:#1(nom|dat|acc),
  person:3,
  gender:neut,
  sort:thing,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|dat|acc), 
      gender:neut,
      number:sg
    ]
  ]
];

reservieren := reservieren :
[ cat:INF, 
  sort:negotiate, 
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME,
      sort:top
    ]
  ]
];

allem := allem :
[ cat:PROSD, 
  sort:bot,
  case:dat, 
  number:sg, 
  gender:(masc|neut),
  definite:no
];

Institut := Institut :
[ cat:NN,
  countable:yes,
  number:sg,
  case:#1(nom|dat|acc),
  person:3,
  gender:neut,
  sort:place,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|dat|acc), 
      gender:neut,
      number:sg
    ]
  ]
];

sichergehen := sichergehen :
[ cat:INF, 
  sort:process, 
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ]
  ]
];

MakeAllVerbs(
   `reservieren',
   `_FIN',
   `reserviere,reservierst,reserviert,reservieren,reserviert,reservieren',
   `reservierte,reserviertest,reservierte,reservierten,reserviertet,reservierten',
   `reservierte,reserviertest,reservierte,reservierten,reserviertet,reservierten',
   `cat:FIN,
   sort:process,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1,
	 cat:Nominal,
	 case:nom,
	 m4_person,
	 m4_number,
	 role:AGENT,
	 sort:human
      ],
      2:
      [ realized:yes, obl:0.1,
        cat:Nominal,
        case:acc,
        role:THEME,
        sort:top
      ]
   ]'
)

Raum := Raum :
[ cat:NN,
  countable:yes,
  number:sg,
  case:#1(nom|dat|acc),
  person:3,
  gender:masc,
  sort:place,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|dat|acc), 
      gender:masc,
      number:sg
    ]
  ]
];

Besprechungstermin := Besprechungstermin :
[ cat:NN, 
  person:3, 
  gender:masc, 
  case:#1(nom|dat|acc), 
  number:sg, 
  countable:yes, 
  sort:appointment,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Determiner,
      case:#1(nom|dat|acc), 
      gender:masc,
      number:sg
    ]
  ]
];
