/* 
 * Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. For
 * more details read COPYING in the root of this distribution.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * $Id: shift.h,v 1.6 2005-12-01 16:19:05 micha Exp $
 */

#ifndef SHIFT_H
#define SHIFT_H

/* ---------------------------------------------------------------------------
 * @addtogroup Shift 
 * @{
 */

/* -- INCLUDES ------------------------------------------------------------- */
#include <config.h>

/* -- MACROS --------------------------------------------------------------- */

/* -- TYPE DEFINITIONS ----------------------------------------------------- */

/* -- VARIABLES ------------------------------------------------------------ */

/* -- FUNCTIONS ------------------------------------------------------------ */
extern Boolean shift_reduce(int no, char **args);
extern void shiftInitialize(void);
extern void shiftFinalize(void);

/* ------------------------------------------------------------------------- */
/** @} */
#endif /* don't insert anything after this #endif */
