/* 
 * Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. For
 * more details read COPYING in the root of this distribution.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * $Id: cdgdb.h,v 1.11 2005-12-01 16:19:00 micha Exp $
 */

#ifndef CDGDB_H
#define CDGDB_H

/* ---------------------------------------------------------------------------
 * @addtogroup Cdgdb 
 * @{
 */

/* -- FUNCTIONS ------------------------------------------------------------ */
extern Boolean dbOpen(String);
extern Boolean dbClose(void);
extern List dbGetEntries(String);
extern Boolean dbLoad(String); 
extern Boolean dbLoadAll(List); 
extern void dbInitialize(void);
extern void dbFinalize(void);
extern Boolean dbOpenCdgFile(String); 
extern Boolean dbAvailable(void);

/* ------------------------------------------------------------------------- */
/** @} */
#endif /* don't insert anything after this #endif */
