#!@PERL@
# Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

use warnings;
use strict;
use lib "@BINDINGSDIR@";
use CDG;

my $debug = 0;
sub testCmdEval
{
  my $command = shift;
  print STDERR "DEBUG: command=$command\n" if $debug;
  commandEval $command or die $command;
}

testCmdEval "set verbosity 0" if !$debug;
testCmdEval "set debug on" if $debug;
testCmdEval "set preprocessor /bin/zcat";
testCmdEval "set prepsuffix .gz";
testCmdEval "load @TESTGRAMMAR@";
testCmdEval "newnet @TESTSENTENCE@";
testCmdEval "netsearch";
testCmdEval "verify";
cdgFinalize;

