#!/bin/sh
#\
exec tclsh "$0" "$@" 
# Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

source loadtclbindings

testCmdEval "set debug on"
testCmdEval "set info on"
testCmdEval "set error on"
testCmdEval "set taggerCommand 'mapper.pl -z 1000 -m stts_stellingen_map -l negra.tnt'"
testCmdEval "set taggerCommand"

set testString "-a 123 -ns"
testCmdEval "set icparams '$testString'"
testCmdEval "set icparams"

if { "$icParamsStr" != "$testString" } {
  error "ERROR: got $icParamsStr, but expected $testString"
}

testCmdEval "status"
cdgFinalize
