# Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
 & eval 'exec perl -S $0 $argv:q'
 if 0;

#
# Ingo Schrder
#

if ( $0 =~ m/.*\/([^\/]*)/ ) {
    $cmd=$1;
} else {
    $cmd=$0;
}

require "getopts.pl";
&Getopts('ht');

$op=0;
while ($l=<STDIN>) {
  chomp($l);
  # {X|SYN} : root_is_mod : 0.0 :
  if ($l=~m/^\s*\{\s*([XY])\s*([\:\|\!\\\/])\s*(\w+)\s*\}(\s*:.*:.*:.*)$/) {
    printf "// %s\n", $l;
    if (defined($opt_t)) {
      printf "{%s}%s\n(%s.level=%s", $1, $4, $1, $3;
      printf " & %s%s", $1, $2 if $2 ne ":";
      printf ") -> (\n";
    } else {
      printf "{%s:%s}%s\n", $1, $3, $4;
      printf "(%s%s)->\n", $1, $2 if $2 ne ":";
      printf "(\n";
    }
    $op++;
  } elsif ($l=~m/^\s*\{\s*([XY])\s*([\:\|\!\\\/])\s*(\w+)\s*(,|\/\\|\\\/|\|\||\~\=|\=\=|\\|\/|)\s*([XY])\s*([\:\|\!\\\/])\s*(\w+)\s*\}(\s*:.*:.*:.*)$/) {
    printf "// %s\n", $l;
    if (defined($opt_t)) {
      printf "{%s, %s}%s\n(%s.level=%s & %s.level=%s", $1, $5, $8, $1, $3, $5, $7;
      printf " & %s%s", $1, $2 if $2 ne ":";
      printf " & %s%s%s", $1, $4, $5 if $4 ne ",";
      printf " & %s%s", $5, $6 if $6 ne ":";
      printf ") -> (\n";
    } else {
      printf "{%s:%s, %s:%s}%s\n", $1, $3, $5, $7, $8;
      printf "(" if $2 ne ":" || $6 ne ":" || $4 ne ",";
      printf "%s%s", $1, $2 if $2 ne ":";
      printf " & " if $2 ne ":" && $4 ne ",";
      printf "%s%s%s", $1, $4, $5 if $4 ne ",";
      printf " & " if $2 ne ":" && $4 eq "," && $6 ne ":";
      printf " & " if              $4 ne "," && $6 ne ":";
      printf "%s%s", $5, $6 if $6 ne ":";
      printf ") ->\n" if $2 ne ":" || $6 ne ":" || $4 ne ",";;
      printf "(\n";
    }
    $op++;
  } elsif ($l=~m/^(.*);(.*)$/ && $op>0) {
    printf "%s);%s\n", $1, $2;
    $op--;
  } else {
    printf "%s\n", $l;
  }
}
